Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1002 - rpm-2.91 ignores /etc/rpmrc
Summary: rpm-2.91 ignores /etc/rpmrc
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-31 15:08 UTC by pdyer
Modified: 2014-03-19 11:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-02 15:10:51 UTC


Attachments (Terms of Use)

Description pdyer 1999-01-31 15:08:18 UTC
I have topsrcdir set to /usr/src/redhat/rawhide
in /etc/rpmrc.  The new rpm does not seem to read
the /etc/rpmrc file.

Comment 1 Cristian Gafton 1999-02-01 19:23:59 UTC
Jeff, all yours

Comment 2 Jeff Johnson 1999-02-02 15:10:59 UTC
Rpm 2.91 is b'twixt and b'tween two configuration schemes. The
current algorithm reads the usual rpmrc files:
	/usr/lib/rpm/rpmrc
	/etc/rpmrc
	~/.rpmrc
and then reads the new macro file
	/usr/lib/rpm/macros
which hides the /etc/rpmrc configured value.

Here's a workaround:
In /etc/rpmrc:
	macrofiles:	/usr/lib/rpm/macros:/etc/macros
In /etc/macros:
	%_topdir	/usr/src/redhat/rawhide

Alternatively, delete the %_topdir line in /usr/lib/rpm/macros.


Note You need to log in before you can comment on or make changes to this bug.